Package org.eclipse.emf.compare.ide.ui.internal.logical.view

# Class LogicalModelViewContentProvider

java.lang.Object
org.eclipse.ui.model.BaseWorkbenchContentProvider
org.eclipse.ui.model.WorkbenchContentProvider
org.eclipse.emf.compare.ide.ui.internal.logical.view.LogicalModelViewContentProvider

All Implemented Interfaces:
  `EventListener`, `org.eclipse.core.resources.IResourceChangeListener`, `org.eclipse.jface.viewers.IContentProvider`, `org.eclipse.jface.viewers.IStructuredContentProvider`, `org.eclipse.jface.viewers.ITreeContentProvider`

public class LogicalModelViewContentProvider extends org.eclipse.ui.model.WorkbenchContentProvider
ContentProvider for the logical model view.

## Field Summary

### Fields inherited from interface org.eclipse.core.resources.IResourceChangeListener

`PROPERTY_EVENT_MASK`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getChildren(Object element)`
`boolean`
`hasChildren(Object element)`
`void`
`setLeaves(Collection<org.eclipse.core.resources.IResource> leaves)`
The models to display in the viewer.

### Methods inherited from class org.eclipse.ui.model.WorkbenchContentProvider

`dispose, inputChanged, processDelta, resourceChanged`

### Methods inherited from class org.eclipse.ui.model.BaseWorkbenchContentProvider

`getAdapter, getElements, getParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### setLeaves

public void setLeaves(Collection<org.eclipse.core.resources.IResource> leaves)
The models to display in the viewer.

Parameters:
  `leaves` - the models to display in the viewer.

### hasChildren

public boolean hasChildren(Object element)

Specified by:
  `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
Overrides:
  `hasChildren` in class `org.eclipse.ui.model.BaseWorkbenchContentProvider`

### getChildren

public Object[] getChildren(Object element)

Specified by:
  `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
Overrides:
  `getChildren` in class `org.eclipse.ui.model.BaseWorkbenchContentProvider`